# Class MoveEffectPhase

#### Hierarchy (view full)

- PokemonPhase
  - MoveEffectPhase

- Defined in src/phases.ts:2754

#####
Index

### Constructors

constructor

### Properties

battlerIndex
fieldIndex
move
player
scene
targets

### Methods

end
executeForAll
getNewHitPhase
getOrder
getPokemon
getTarget
getTargets
getUserPokemon
hideEnemyTrainer
hitCheck
showEnemyTrainer
start

## Constructors

### constructor

- new MoveEffectPhase(scene, battlerIndex, targets, move): MoveEffectPhase

- #### Parameters

  - scene: default
  - battlerIndex: BattlerIndex
  - targets: BattlerIndex []
  - move: PokemonMove

  #### Returns MoveEffectPhase

  Overrides PokemonPhase.constructor

  - Defined in src/phases.ts:2758

## Properties

### `Protected` battlerIndex

battlerIndex: number

Inherited from PokemonPhase.battlerIndex

- Defined in src/phases.ts:688

### fieldIndex

fieldIndex: number

Inherited from PokemonPhase.fieldIndex

- Defined in src/phases.ts:690

### move

move: PokemonMove

- Defined in src/phases.ts:2755

### player

player: boolean

Inherited from PokemonPhase.player

- Defined in src/phases.ts:689

### `Protected` scene

scene: default

Inherited from PokemonPhase.scene

- Defined in src/phase.ts:4

### `Protected` targets

targets: BattlerIndex []

- Defined in src/phases.ts:2756

## Methods

### end

- end(): void

- #### Returns void

  Overrides PokemonPhase.end

  - Defined in src/phases.ts:2908

### executeForAll

- executeForAll(func): void

- #### Parameters

  - func: PokemonFunc

  #### Returns void

  Inherited from PokemonPhase.executeForAll

  - Defined in src/phases.ts:681

### getNewHitPhase

- getNewHitPhase(): MoveEffectPhase

- #### Returns MoveEffectPhase

  - Defined in src/phases.ts:3022

### getOrder

- getOrder(): BattlerIndex []

- #### Returns BattlerIndex []

  Inherited from PokemonPhase.getOrder

  - Defined in src/phases.ts:659

### getPokemon

- getPokemon(): default

- #### Returns default

  Inherited from PokemonPhase.getPokemon

  - Defined in src/phases.ts:704

### getTarget

- getTarget(): default

- #### Returns default

  - Defined in src/phases.ts:3018

### getTargets

- getTargets(): default []

- #### Returns default []

  - Defined in src/phases.ts:3014

### getUserPokemon

- getUserPokemon(): default

- #### Returns default

  - Defined in src/phases.ts:3007

### hideEnemyTrainer

- hideEnemyTrainer(): void

- #### Returns void

  Inherited from PokemonPhase.hideEnemyTrainer

  - Defined in src/phases.ts:644

### hitCheck

- hitCheck(target): boolean

- #### Parameters

  - target: default

  #### Returns boolean

  - Defined in src/phases.ts:2927

### showEnemyTrainer

- showEnemyTrainer(trainerSlot?): void

- #### Parameters

  - trainerSlot: TrainerSlot = TrainerSlot.NONE

  #### Returns void

  Inherited from PokemonPhase.showEnemyTrainer

  - Defined in src/phases.ts:617

### start

- start(): void

- #### Returns void

  Overrides PokemonPhase.start

  - Defined in src/phases.ts:2771